org.apache.poi.hemf.record.emfplus

## Class HemfPlusMisc.EmfPlusFlagOnly

- java.lang.Object
- - org.apache.poi.hemf.record.emfplus.HemfPlusMisc.EmfPlusFlagOnly

- All Implemented Interfaces:
    GenericRecord, HemfPlusRecord
  Direct Known Subclasses:
    HemfPlusMisc.EmfPlusEOF, HemfPlusMisc.EmfPlusGetDC, HemfPlusMisc.EmfPlusResetClip, HemfPlusMisc.EmfPlusResetWorldTransform, HemfPlusMisc.EmfPlusSetAntiAliasMode, HemfPlusMisc.EmfPlusSetClipPath, HemfPlusMisc.EmfPlusSetCompositingMode, HemfPlusMisc.EmfPlusSetCompositingQuality, HemfPlusMisc.EmfPlusSetInterpolationMode, HemfPlusMisc.EmfPlusSetPixelOffsetMode, HemfPlusMisc.EmfPlusSetTextRenderingHint
  Enclosing class:
    HemfPlusMisc

      public abstract static class HemfPlusMisc.EmfPlusFlagOnly
      extends java.lang.Object
      implements HemfPlusRecord

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `EmfPlusFlagOnly()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `HemfPlusRecordType` | `getEmfPlusRecordType()`
    `int` | `getFlags()`
    `java.util.Map<java.lang.String,java.util.function.Supplier<?>>` | `getGenericProperties()`
    `HemfPlusRecordType` | `getGenericRecordType()`
    `long` | `init(LittleEndianInputStream leis, long dataSize, long recordId, int flags)` Init record from stream

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.poi.hemf.record.emfplus.HemfPlusRecord

      `draw`

    - ### Methods inherited from interface org.apache.poi.common.usermodel.GenericRecord

      `getGenericChildren`

- - ### Constructor Detail

    - #### EmfPlusFlagOnly

          public EmfPlusFlagOnly()

  - ### Method Detail

    - #### getFlags

          public int getFlags()

      Specified by:
        `getFlags` in interface `HemfPlusRecord`

    - #### getEmfPlusRecordType

          public final HemfPlusRecordType getEmfPlusRecordType()

      Specified by:
        `getEmfPlusRecordType` in interface `HemfPlusRecord`

    - #### init

          public long init(LittleEndianInputStream leis,
                           long dataSize,
                           long recordId,
                           int flags)
                    throws java.io.IOException

      Description copied from interface: `HemfPlusRecord`
      Init record from stream
      Specified by:
        `init` in interface `HemfPlusRecord`
      Parameters:
        `leis` - the little endian input stream
        `dataSize` - the size limit for this record
        `recordId` - the id of the `HemfPlusRecordType`
        `flags` - the record flags
      Returns:
        count of processed bytes
      Throws:
        `java.io.IOException` - when the inputstream is malformed

    - #### getGenericRecordType

          public HemfPlusRecordType getGenericRecordType()

      Specified by:
        `getGenericRecordType` in interface `GenericRecord`
      Specified by:
        `getGenericRecordType` in interface `HemfPlusRecord`

    - #### getGenericProperties

          public java.util.Map<java.lang.String,java.util.function.Supplier<?>> getGenericProperties()

      Specified by:
        `getGenericProperties` in interface `GenericRecord`

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.